Package org.apache.tools.ant.taskdefs.optional.junitlauncher

# Class StandaloneLauncher

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junitlauncher.StandaloneLauncher

    public class StandaloneLauncher
    extends java.lang.Object

Used for launching forked tests from the `JUnitLauncherTask`.

Although this class is public, this isn't meant for external use. The contract of what program arguments `the main method` accepts and how it interprets it, is also an internal detail and can change across Ant releases.

Since:
  Ant 1.10.6

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`StandaloneLauncher()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static void` | `main​(java.lang.String[] args)` | Entry point to launching the forked test.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandaloneLauncher

public StandaloneLauncher()

## Method Details

### main

public static void main​(java.lang.String[] args) throws java.lang.Exception
Entry point to launching the forked test.

Parameters:
  `args` - The arguments passed to this program for launching the tests
Throws:
  `java.lang.Exception` - If any exception occurs during the execution